Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

XMLMutexMgr Member List

This is the complete list of members for XMLMutexMgr, including all inherited members.

create(MemoryManager *const manager)=0 | XMLMutexMgr | pure virtual
destroy(XMLMutexHandle mtx, MemoryManager *const manager)=0 | XMLMutexMgr | pure virtual
lock(XMLMutexHandle mtx)=0 | XMLMutexMgr | pure virtual
operator delete(void *p) | XMemory |
operator delete(void *p, MemoryManager *memMgr) | XMemory |
operator delete(void *p, void *ptr) | XMemory |
operator new(size_t size) | XMemory |
operator new(size_t size, MemoryManager *memMgr) | XMemory |
operator new(size_t size, void *ptr) | XMemory |
unlock(XMLMutexHandle mtx)=0 | XMLMutexMgr | pure virtual
XMemory() | XMemory | protected
XMLMutexMgr() | XMLMutexMgr |
~XMLMutexMgr() | XMLMutexMgr | virtual